Subject: Electronic CP status requested on item 8326 (update to 8303)

From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Mon, 13 Nov 95 11:52:50 EST

A proposal to change the APPN DLUR Architecture Reference manual has
been placed on networking.raleigh.ibm.com for item 8326.  These files
can be found in directory /aiw/dlur:

     abs8326.txt
     arch8326d.psbin

This item replaces item 8303, addressing the comments submitted during
the review of item 8303 at AIW8.  I'm requesting electronic CP approval
of this item; please get any comments in by December 6 (the sooner the
better, as I'll be on vacation for 2 weeks starting November 22).

If there is a concensus for approval of item 8326 on December 7, I plan
on publishing Version 1.2 of the APPN DLUR Architecture Reference later
that month.

Ed Tremblay

(Item 8326)  Clarify signaling information definition at DLUR
-------------------------------------------------------------
The architecture in item 8303 which allows signaling information to be
defined at the DLUR needs additional clarification in the case when
some of the signaling information is defined at the DLUR and some at
the DLUS.  The entire proposal follows, with the clarifications marked
with >>:

The proposed solution is to update the DLUR architecture reference as
follows:

Signaling Information - This parameter will identify the DLUR-to-PU
connectivity.  This information must be coordinated between the DLUR
and DLUS nodes:

  1) it can be defined completely at the DLUR - in this case some or all
     of the information can optionally be sent to the DLUS to be used
     for network management, input into the Configuration Services XID
     exit for connection verification and accounting, and PU correlation

  2) it can be defined completely at the DLUS - in this case all of the
     information will be sent to the DLUR on the ACTPU

  3) it can be defined partially at the DLUS and partially at the DLUR -
     in this case the DLUR can optionally send the DLUR-defined
     signaling information (for the reasons described above) while the
     DLUS-defined signaling information will be sent on the ACTPU

         - if upon receipt of the ACTPU, the DLUR determines it has
           incomplete signaling information, it can optionally proceed
           with the activation (using defaults) or it can fail the
>>         activation with sense code X'086D 46mm', where mm = the
>>         subfield key of a missing subfield.

         - if upon receipt of the ACTPU, the DLUR determines it has
           the same signaling information subfield from both the DLUR
           and DLUS, but the subfields have different values, it will
>>         optionally:
>>
>>             * allow the DLUS values to prevail
>>
>>             * allow the DLUR values to prevail
>>
>>             * reject the ACTPU with sense code X'0877 0059'
>>
>>       - if upon receipt of the REQACTPU, the DLUS determines it has
>>         the same signaling information subfield from both the DLUR
>>         and DLUS, but the subfields have different values, it can
>>         optionally reject the REQACTPU with sense code X'0877 005A'.